# eric4.E4XML.XMLMessageDialog

Module implementing a dialog to display XML parse messages.

### Global Attributes

None

### Classes

XMLMessageDialog | Class implementing a dialog to display XML parse messages.

### Functions

None

## XMLMessageDialog

Class implementing a dialog to display XML parse messages.

### Derived from

QDialog, Ui_XMLMessageDialog

### Class Attributes

None

### Methods

XMLMessageDialog | Constructor
__appendText | Private method to append text to the end of the messages pane.

#### XMLMessageDialog (Constructor)

XMLMessageDialog(msgs, parent = None)

Constructor

msgs
  list of tuples of (message type, system id, line no, column no, message)
parent
  parent object of the dialog (QWidget)

#### XMLMessageDialog.__appendText

__appendText(txt, color)

Private method to append text to the end of the messages pane.

txt
  text to insert (QString)
color
  text color to be used (QColor)

Up